org.aspectj.lang.annotation

## Annotation Type RequiredTypes

    @Retention(value=RUNTIME)
    @Target(value=TYPE)
    public @interface RequiredTypes

Can be specified on an aspect to ensure that particular types must be accessible before the aspect will be 'activated'. The array value should be a list of fully qualified type names as strings, for example "com.foo.Bar". Useful in an aspect library that includes a number of aspects, only a few of which should ever be active depending upon what is on the classpath.

Since:
  1.8.3
Author:
  Andy Clement

### Required Element Summary

Required Elements
`java.lang.String[]` `value`

### Element Detail

#### value

    public abstract java.lang.String[] value